// AboutDialog.cpp : implementation file
//

#include "stdafx.h"
#include "linecount.h"
#include "AboutDialog.h"
#include "Commands.h"
#include "ExtrnSrc\AICLoader.h"
#include "ExtrnSrc\AddInComm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDialog dialog


CAboutDialog::CAboutDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CAboutDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAboutDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAboutDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDialog)
	DDX_Control(pDX, IDC_WWW2, m_WWW2);
	DDX_Control(pDX, IDC_WWW1, m_WWW1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAboutDialog, CDialog)
	//{{AFX_MSG_MAP(CAboutDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutDialog message handlers

BOOL CAboutDialog::OnInitDialog() 
{
    int iVerMaj, iVerMin, iVerExtra;
    CString s; //cStr1, cStr2, cStr3;
    char ver[256];

	CDialog::OnInitDialog();

    strcpy(ver, "Build ");
    aiclGetModuleVersion("LineCount.dll", ver + strlen(ver));
    SetVersionStr(IDC_PLC_VER, CString(ver));
	
    // AddInComm Version
    if (!aiclIsAICLoaded())
    {
        s = "Not loaded";
    }
    else
    {
        AICGetDllVersion(iVerMaj, iVerMin, iVerExtra);
        aiclGetModuleVersion("AIC.mod", (LPSTR)ver);
        s.Format("Version %d.%d.%d (%s)", iVerMaj, iVerMin, iVerExtra,
            ver);
    }
    SetVersionStr(IDC_AIC_VER, s);

    // WWhiz! Interface Version
    if (!g_pWWhizInteface)
    {
        s = "Not loaded";
    }
    else
    {
#ifdef _DEBUG
        aiclGetModuleVersion("WWhizInterface2D.mod", (LPSTR)ver);
#else
        aiclGetModuleVersion("WWhizInterface2.mod", (LPSTR)ver);
#endif
        s.Format("Version %s", ver);
    }
    SetVersionStr(IDC_WWI_VER, s);
	
	return TRUE;
}

void CAboutDialog::SetVersionStr(int id, CString& sVer)
{
    CString s1, s2;
    GetDlgItemText(id, s1);
    s2.Format(s1, sVer);
    SetDlgItemText(id, s2);
}
