/***************************************************************************/
/* NOTE:                                                                   */
/* This document is copyright (c) by Oz Solomonovich.  All non-commercial  */
/* use is allowed, as long as this document is not altered in any way, and */
/* due credit is given.                                                    */
/***************************************************************************/

// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__04727E75_B52C_11D3_BA83_0000861DFCE7__INCLUDED_)
#define AFX_DSADDIN_H__04727E75_B52C_11D3_BA83_0000861DFCE7__INCLUDED_

#include "commands.h"
#include "ExtrnSrc\AddInComm.h"

// {04727E62-B52C-11D3-BA83-0000861DFCE7}
DEFINE_GUID(CLSID_DSAddIn,
0x4727e62, 0xb52c, 0x11d3, 0xba, 0x83, 0, 0, 0x86, 0x1d, 0xfc, 0xe7);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "LineCount.DSAddIn.1",
		"LINECOUNT Developer Studio Add-in", IDS_LINECOUNT_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
    HADDIN m_hAddin;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__04727E75_B52C_11D3_BA83_0000861DFCE7__INCLUDED)
