///////////////////////////////////////////////////////////////////////////////
// $Workfile: WWhizInterfaceLoader.h $
// $Archive: /WorkspaceWhiz/Src/Shared/WWhizInterfaceLoader.h $
// $Date: 2000/10/04 02:32:58 $ $Revision: 1.2 $ $Author: osolo $
///////////////////////////////////////////////////////////////////////////////
// This source file is part of the Workspace Whiz! source distribution and
// is Copyright 1997-2000 by Joshua C. Jensen.  (http://www.workspacewhiz.com/)
//
// The code presented in this file may be freely used and modified for all
// non-commercial purposes so long as due credit is given and this header is
// left intact.
//
// Permission for commercial usage is obtained by contacting the author, Joshua
// C. Jensen, at jjensen@workspacewhiz.com.
///////////////////////////////////////////////////////////////////////////////
#pragma once

class WWhizInterface;
struct WWhizReg;
struct IApplication;

/**
	Loads the Workspace Whiz! Interface library.
**/
WWhizInterface* __cdecl WWhizInterfaceCreate(HINSTANCE hInstance, IApplication* pApplication);

/**
	Destroys a loaded copy of the Workspace Whiz! Interface library.
**/
void __cdecl WWhizInterfaceDestroy();
